Bug 426889 - No internet connection with some adsl routers when ipv6 is enabled
No internet connection with some adsl routers when ipv6 is enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-27 20:42 EST by Nikos Charonitakis
Modified: 2009-01-09 00:38 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:38:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bad IP address with Actiontec DSL modem (23.15 KB, application/octet-stream)
2008-01-04 01:11 EST, Dean Kolosiek
no flags Details

  None (edit)
Description Nikos Charonitakis 2007-12-27 20:42:42 EST
Description of problem:
i have problems with some fedora installations and internet connection (depends
on the router propably).
I could load (very slowly) some sites that were available to firefox bookmarks
and  my isp's home page. Other sites were unreachable. I tried to ping some
sites from command line and i realized that system could reach them but could
not receive any data. After some research i fixed the problem by disabling ipv6
in /etc/modprobe.conf (note that i disabled ipv6 during installation but it was
not enough).
So, this problem should be fixed. A new user (and an experienced i can say) will
be confuzed with this situation and is really difficult to keep fedora in their
pc... 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dean Kolosiek 2008-01-04 01:11:20 EST
Created attachment 290818 [details]
Bad IP address with Actiontec DSL modem
Comment 2 Dean Kolosiek 2008-01-04 01:11:51 EST
I had the same problem. The release notes should explain that IPv6 is on by
default and many people will have to disable it, and explain how to disable it.

Also, there's a check box for IPv6 in system-config-network but it doesn't seem
to do anything.

nslookup seems to cause a single address to start working. Here's a terminal
session and an attachment of the Wireshark capture. Note the address 1.0.0.0.

[root@localhost kolosiek]# tracert fedora.redhat.com
traceroute to fedora.redhat.com (1.0.0.0), 30 hops max, 40 byte packets
 1  dslmodem.domain.actdsltmp (192.168.0.1)  1.220 ms  3.123 ms  3.119 ms
 2  phnx-dsl-gw09-201.phnx.qwest.net (67.40.227.201)  42.542 ms  43.043 ms 
44.088 ms
 3  phnx-agw1.inet.qwest.net (216.160.199.65)  46.109 ms !N  46.472 ms !N 
48.038 ms !N
[root@localhost kolosiek]# 
[root@localhost kolosiek]# 
[root@localhost kolosiek]# 
[root@localhost kolosiek]# nslookup fedora.redhat.com
Server:         192.168.0.1
Address:        192.168.0.1#53

Non-authoritative answer:
Name:   fedora.redhat.com
Address: 209.132.176.120

[root@localhost kolosiek]# 
[root@localhost kolosiek]# 
[root@localhost kolosiek]# 
[root@localhost kolosiek]# tracert fedora.redhat.com
traceroute to fedora.redhat.com (209.132.176.120), 30 hops max, 40 byte packets
 1  dslmodem.domain.actdsltmp (192.168.0.1)  0.838 ms  2.406 ms  2.389 ms
 2  phnx (67.40.227.201)  41.563 ms  42.203 ms  45.470 ms
 3  phnx (216.160.199.65)  47.394 ms  47.741 ms  49.509 ms
 4  phx-core-01.inet.qwest.net (205.171.129.21)  50.263 ms  50.961 ms  52.113 ms
 5  los-core-01.inet.qwest.net (67.14.22.10)  64.370 ms  65.300 ms  66.032 ms
 6  lap-brdr-02.inet.qwest.net (205.171.32.2)  67.134 ms  54.114 ms  54.999 ms
 7  192.205.35.49 (192.205.35.49)  56.500 ms  51.204 ms  51.976 ms
 8  tbr1.la2ca.ip.att.net (12.122.88.166)  78.741 ms  73.874 ms  75.695 ms
 9  tbr1.phmaz.ip.att.net (12.122.10.85)  76.680 ms  74.763 ms  75.488 ms
10  gar3.phmaz.ip.att.net (12.123.206.25)  76.934 ms  72.768 ms  73.538 ms
11  12.122.255.18 (12.122.255.18)  75.707 ms  73.855 ms *
12  * mdf1-bi8k-2-eth-2-6.phx1.attens.net (63.241.129.138)  73.792 ms  76.533 ms
13  63.241.131.53 (63.241.131.53)  77.469 ms  73.132 ms *
14  * * *
15  * * *
16  * fedora.redhat.com (209.132.176.120)  74.191 ms  76.507 ms







[root@localhost kolosiek]# /sbin/ifconfig
eth0      Link encap:Ethernet  HWaddr 00:E0:81:2B:BB:E1  
          inet addr:192.168.0.4  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::2e0:81ff:fe2b:bbe1/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:162 errors:0 dropped:0 overruns:0 frame:0
          TX packets:234 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:16565 (16.1 KiB)  TX bytes:22343 (21.8 KiB)
          Interrupt:24 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:2614 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2614 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:3368264 (3.2 MiB)  TX bytes:3368264 (3.2 MiB)

virbr0    Link encap:Ethernet  HWaddr 00:00:00:00:00:00  
          inet addr:192.168.122.1  Bcast:192.168.122.255  Mask:255.255.255.0
          inet6 addr: fe80::200:ff:fe00:0/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:36 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:5455 (5.3 KiB)


Comment 3 Bug Zapper 2008-11-26 04:11:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:38:21 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.